Get task reports
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the task.
Format
uuidQuery Parameters
selected_format_id?string
Filter by selected format ID (optional).
sort_by?string
Sort by field name (optional). Supported fields: "format", "createdDate", etc.
page?integer
Page number (1-based). Default is 1. Ignored when get_all = true.
Format
int32Range
1 <= value <= 2147483647page_size?integer
Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.
Format
int32Range
1 <= value <= 50get_all?boolean
When true, pagination is disabled and all items are returned.
sort_direction?string
Sort direction: "asc" or "desc". Default is "asc" (optional)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "externalId": "string", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "description": "string", "status": "string", "statusMessage": "string", "type": "string", "separator": "string", "variablesName": "string", "dynamicNames": "string", "template": "string", "templatePath": "string", "iterationFields": "string", "filters": "string", "createdDate": "2019-08-24T14:15:22Z", "outputFormats": [ "string" ], "apps": [ "string" ], "filterIds": "string", "projectName": "string", "isIteration": true, "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8", "taskReportId": "ad6383c6-c2fc-41b1-a0db-20eb065c3d31", "format": "string", "zipFolderFiles": true, "zipEmailFiles": true, "evaluateConditionForEachIteration": true, "folderVariable": "string", "recipientsVariable": "string", "ftpVariable": "string", "hubAuthorizedUserVariable": "string", "dropboxVariable": "string", "onedriveVariable": "string", "googledriveVariable": "string", "emailAttachment": true, "emailEmbedment": true, "publishToQalyptusHub": true, "secureOutputFiles": true, "fileOpenPassword": "string", "fileWritePassword": "string", "isOpenFilePasswordProtected": true, "isWriteFilePasswordProtected": true, "maxFileOccurrences": 0, "reportConditions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "taskReportId": "ad6383c6-c2fc-41b1-a0db-20eb065c3d31", "conditionId": "1e06e0eb-07f6-4fcd-8750-870cbafd1693", "isVerified": true } ], "reportFilters": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "taskReportId": "ad6383c6-c2fc-41b1-a0db-20eb065c3d31", "filterId": "aff0ee0f-f371-4b82-82c6-dc3b96f05c91", "order": 0 } ], "reportStorageServices": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileStorageServiceId": "ec26fc06-bcc1-4aad-941e-cddbc71126f5", "path": "string", "sharePointSiteUrl": "string", "order": 0 } ], "reportFolders": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "taskReportId": "ad6383c6-c2fc-41b1-a0db-20eb065c3d31", "path": "string" } ], "qlikAppsOverwrite": [ { "qlikAppId": "c8e142ed-5c22-4064-87da-aac893bd9e5b", "newQlikAppId": "b99f706c-8be1-4727-98ff-d7031402bcd1" } ] } ], "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}